List instances

Performs a search against instance objects with optional filtering, sorting, and pagination.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

The search criteria (URL encoded). Available fields: application, client, contact_email, contact_name, contact_phone, created, domain, id, last_contract, last_transaction, name, status, updated

Supports the following operators:

  • =: Exact match, separate multiple values with ; for IN operation
  • !=: Not equal
  • >=, >, <, <=: Greater than/equal, less than/equal
  • ~=: Partial match (case insensitive)
  • <>: Between, separate values with ; (e.g., <>min;max)
  • !: Is null
  • !!: Is not null

Separate multiple criteria with commas (,)

Notes:

  • Strings are case insensitive (with some exceptions)
  • Booleans are Y/N (TIP: check for =Y or !=Y as some objects treat false as null)

Examples:

  • status=ACTIVE;FAILING (status is either ACTIVE or FAILING)
  • status=ACTIVE;FAILING,[email protected] (status is ACTIVE or FAILING AND email is [email protected])
  • name~=Test (name contains 'Test')
  • created<>2023-01-01;2023-12-31 (created between Jan 1 and Dec 31, 2023)
  • scheduler=Y (scheduler is enabled)
string

The sort order to apply. Format: field[,field2][;desc]

  • Supports any field that criteria supports
  • Defaults to created;desc if not specified
  • Will order ascending unless you specify desc
  • Separate multiple order fields with commas

Examples:

  • order=updated (sort by updated ascending)
  • order=updated;desc (sort by updated descending)
  • order=status,updated;desc (sort by status ascending, then updated descending)
string

Fields to expand into full objects

integer
Defaults to 20

Maximum number of records to return

integer
Defaults to 0

Offset from the first record to start returning records

Responses

400

Bad request

401

Unauthorized

Language
Credentials
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json